/*****************************************************************************
 *   wdttest.c:  main C entry file for NXP LPC2xxx Family Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.07.19  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#include "LPC288x.h"                        /* LPC2xxx definitions */
#include "type.h"
#include "target.h"
#include "irq.h"
#include "timer.h"
#include "wdt.h"

extern volatile DWORD timer_counter;
volatile DWORD feed_counter = 0;

/*****************************************************************************
**   Main Function  main()
******************************************************************************/
int main (void)
{
  TargetResetInit();
  	    		
  /*** The main Function is an endless loop ****/
  WDTInit();

  timer_counter = 0; 
  init_timer( TIMER_10MS );
  
  while( 1 ) 
  {
	if ( timer_counter > 0 )
	{
	  /* Feed the watchdog timer */
	  feed_counter++;
	  WDTFeed();
	  timer_counter = 0;
	}
  }
  return 0;
}

/*********************************************************************************
**                            End Of File
*********************************************************************************/
